Skip to main content
`Ctrl`+`K`

# PetscFindInt

Finds the location of a `PetscInt` key in a sorted array of `PetscInt`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFindInt(PetscInt key, PetscCount n, const PetscInt X[], PetscInt *loc)

Not Collective

## Input Parameters

- key - the `PetscInt` key to locate

- n - number of values in the array

- X - array of `PetscInt`

## Output Parameter

- loc - the location if found, otherwise -(slot+1) where slot is the place the value would go

## See Also

`PetscIntSortSemiOrdered()`, `PetscSortInt()`, `PetscSortIntWithArray()`, `PetscSortRemoveDupsInt()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

## Examples

src/dm/impls/plex/tutorials/ex10.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages